GlobalGraphOperations (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.tooling
Class GlobalGraphOperations

    java.lang.Object
      org.neo4j.tooling.GlobalGraphOperations

    public class GlobalGraphOperations

extends Object

A tool for doing global operations, for example `getAllNodes()`.

Method Summary
`static GlobalGraphOperations` | `at(GraphDatabaseService db)` Get a `GlobalGraphOperations` for the given `db`.
`Iterable<Node>` | `getAllNodes()` Returns all nodes in the graph.
`Iterable<Relationship>` | `getAllRelationships()` Returns all relationships in the graph.
`Iterable<RelationshipType>` | `getAllRelationshipTypes()` Returns all relationship types currently in the underlying store.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### at

    public static GlobalGraphOperations at(GraphDatabaseService db)

  Get a `GlobalGraphOperations` for the given `db`.

  Parameters:
    `db` - the `GraphDatabaseService` to get global operations for.
  Returns:
    a `GlobalGraphOperations` for the given `db`.

### getAllNodes

    public Iterable<Node> getAllNodes()

  Returns all nodes in the graph.

  Returns:
    all nodes in the graph.

### getAllRelationships

    public Iterable<Relationship> getAllRelationships()

  Returns all relationships in the graph.

  Returns:
    all relationships in the graph.

### getAllRelationshipTypes

    public Iterable<RelationshipType> getAllRelationshipTypes()

  Returns all relationship types currently in the underlying store. Relationship types are added to the underlying store the first time they are used in a successfully commited `node.createRelationshipTo(...)`. Note that this method is guaranteed to return all known relationship types, but it does not guarantee that it won't return more than that (e.g. it can return "historic" relationship types that no longer have any relationships in the node space).

  Returns:
    all relationship types in the underlying store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.